<?php

namespace Aggen\Core\Hook;

require_once AGGEN_THEME_DIR . '/app/extensions/class-tgm-plugin-activation.php';

/**
 * Required_Plugins auto install.
 */
class Required_Plugins
{
    /**
     * register default hooks and actions for WordPress
     * @return
     */
    public function register()
    {

        add_action('tgmpa_register', [$this, 'register_required_plugins']);
    }

    public function register_required_plugins()
    {
        //required plugins

        $plugins = array(

            array(
                'name'     => esc_html__('Elementor', 'aggen'),
                'slug'     => 'elementor',
                'required' => true,
            ),

            array(
                'name'     => esc_html__('Contact form 7', 'aggen'),
                'slug'     => 'contact-form-7',
                'required' => true,
            ),
            array(
                'name'     => esc_html__('Mailchimp', 'aggen'),
                'slug'     => 'mailchimp-for-wp',
                'required' => true,
            ),

            array(
                'name'         => esc_html__('Unyson', 'aggen'),
                'slug'         => 'unyson',
                'required'     => true,
                'source'     => 'https://github.com/quomodosoftbd/unyson/archive/refs/heads/main.zip',
            ),

            array(
                'name'     => esc_html__('Classic editor', 'aggen'),
                'slug'     => 'classic-editor',
                'required' => true,
            ),
            array(
                'name'     => esc_html__('WooCommerce', 'aggen'),
                'slug'     => 'woocommerce',
                'required' => false,
            ),
            array(
                'name'     => esc_html__('ElementsReady Lite', 'aggen'),
                'slug'     => 'element-ready-lite',
                'required' => true

            ),
            array(
                'name'     => esc_html__('Aggen Essentials', 'aggen'),
                'slug'     => 'aggen-essential',
                'required' => true,
                'source'   => get_template_directory() . '/app/extensions/archive/aggen-essential.zip', // The plugin source.
            ),

            array(
                'name'     => esc_html__('Aggen Core', 'aggen'),
                'slug'     => 'aggen-core',
                'required' => true,
                'source'   => get_template_directory() . '/app/extensions/archive/aggen-core.zip', // The plugin source.
            ),

            array(
                'name'     => esc_html__('QS Preloader', 'aggen'),
                'slug'     => 'qs-preloader',
                'required' => true,
                'source'   => get_template_directory() . '/app/extensions/archive/qs-preloader.zip', // The plugin source.
            ),
            array(
                'name'     => esc_html__('Header Shopping Cart', 'aggen'),
                'slug'     => 'woocommerce-shopping-cart-menu',
                'required' => false,
                'source'   => get_template_directory() . '/app/extensions/archive/woocommerce-shopping-cart-menu.zip', // The plugin source.
            )
        );

        $config = array(
            'id'           => 'aggen',                   // Unique ID for hashing notices for multiple instances of TGMPA.
            'default_path' => '',                       // Default absolute path to bundled plugins.
            'menu'         => 'aggen-install-plugins',   // Menu slug.
            'parent_slug'  => 'themes.php',             // Parent menu slug.
            'capability'   => 'edit_theme_options',     // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
            'has_notices'  => true,                     // Show admin notices or not.
            'dismissable'  => true,                     // If false, a user cannot dismiss the nag message.
            'dismiss_msg'  => '',                       // If 'dismissable' is false, this message will be output at top of nag.
            'is_automatic' => true,                     // Automatically activate plugins after installation or not.
            'message'      => '',                       // Message to output right before the plugins table.
        );

        tgmpa($plugins, $config);
    }
}
