<?php


$header_footer_url = admin_url('edit.php?post_type=qheader-footer');
// Control core classes for avoid errors
if (class_exists('CSF')) {

  //
  // Set a unique slug-like ID
  $post_prefix = 'aggen_page_options';

  //
  // Create a metabox for post
  CSF::createMetabox($post_prefix, array(
    'title'  => esc_html__('Settings', 'aggen'),
    'post_type' => 'page',
  ));

  // Generel section
  CSF::createSection($post_prefix, array(
    'title'  => esc_html__('Generel', 'aggen'),
    'fields' => array(

      array(
        'id'      => 'enable_rtl',
        'type'    => 'switcher',
        'title'   => esc_html__('RTL', 'aggen'),
        'desc'    => esc_html__('If you want to enable or Disable RTL you can set ( YES / NO )', 'aggen'),
        'default' => false,
      ),


      array(
        'id'    => 'rtl_language',
        'type'  => 'text',
        'title'  =>  esc_html__('Language Code', 'aggen'),
        'desc'  =>  __('Provide language code from <a href="https://cartflows.com/docs/complete-list-of-wordpress-locale-codes/" target="_blank"> Google </a>', 'aggen'),
      ),


    )

  ));

  // Banner section
  CSF::createSection($post_prefix, array(
    'title'  => esc_html__('Banner', 'aggen'),
    'fields' => array(

      array(

        'id'      => 'banner_page_title',
        'type'    => 'text',
        'title'   => esc_html__('Page Banner', 'aggen'),

      ),

      array(

        'id'      => 'banner_single_blog_image',
        'type'    => 'background',
        'title'   => esc_html__('Upload Background', 'aggen'),
        'desc'    => esc_html__('Upload main Image width 1200px and height 400px.', 'aggen'),
        'output' => '.page .qs-page-title-area',
        'output_important' => true,

      ),

      array(
        'id'     => 'banner_page_title_color',
        'type'   => 'color',
        'title'  => esc_html__('Page Title Color', 'aggen'),
        'output' => '.page .qs-page-title-item .title'
      ),

      array(

        'id'     => 'banner_page_breadcrumb_color',
        'type'   => 'color',
        'title'  => esc_html__('Page Breadcrumb Color', 'aggen'),
        'output' => '.page .qs-page-title-item nav ol li',
        'output_important' => true
      ),

      array(

        'id'     => 'banner_page_breadcrumb_link_color',
        'type'   => 'color',
        'title'  => esc_html__('Page Breadcrumb Link Color', 'aggen'),
        'output' => '.page .qs-page-title-item nav ol li a',
        'output_important' => true
      ),


    )
  ));

  //
  // Header section
  CSF::createSection($post_prefix, array(
    'title'  => 'Header',
    'fields' => array(

      array(
        'id'      => 'header_style_override',
        'type'    => 'switcher',
        'title'   => esc_html__('Override Header', 'aggen'),
        'desc'    => esc_html__('If you want to override header style you can set ( YES / NO )', 'aggen'),
        'default' => false,
      ),

      array(
        'id'      => 'header_style',
        'type'    => 'image_select',
        'title'   => esc_html__('Header Style', 'aggen'),
        'desc'    => esc_html__('Select the header style which you want to show on your website.', 'aggen'),
        'options' => array(
          'style1' => AGGEN_IMG . '/dash/header_1.jpg',

        ),
        'default' => 'style1',
        'dependency' => array('header_style_override', '==', 'true'),
      ),


      array(
        'id'      => 'enable_button_override',
        'type'    => 'switcher',
        'title'   => esc_html__('Enable cta button', 'aggen'),
        'desc'    => esc_html__('If you want to override Button option you can set ( YES / NO )', 'aggen'),
        'default' => false,
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Button Styling', 'aggen'),
        'dependency' => array('enable_button_override', '==', TRUE),
      ),

      array(
        'id'     => 'button_one_text_color',
        'type'   => 'color',
        'title'  => esc_html__('Login Button Color', 'aggen'),
        'output' => '.page .qs-btn-box .login-btn',
        'output_important' => true,
        'dependency' => array('enable_button_override', '==', TRUE),
      ),

      array(
        'id'     => 'button_one_icon_text_color',
        'type'   => 'color',
        'title'  => esc_html__('Login Icon Color', 'aggen'),
        'output' => '.page .qs-btn-box .login-btn i',
        'output_important' => true,
        'dependency' => array('enable_button_override', '==', TRUE),
      ),

      array(
        'id'               => 'button_one_bg_color',
        'type'             => 'color',
        'output_important' => true,
        'title'            => esc_html__('Login Button Background Color', 'aggen'),
        'output'           => '.page .qs-btn-box .login-btn',
        'output_mode'      => 'background-color',
        'dependency' => array('enable_button_override', '==', TRUE),
      ),



      array(
        'id'     => 'button_one_border',
        'type'   => 'border',
        'title'  => esc_html__('Login Button Border', 'aggen'),
        'output' => '.page .qs-btn-box .login-btn',
        'dependency' => array('enable_button_override', '==', TRUE),
      ),

      array(
        'id'     => 'button_cta_text_color',
        'type'   => 'color',
        'title'  => esc_html__('Cta Button Color', 'aggen'),
        'output' => '.page .qs-btn-box .main-btn',
        'output_important' => true,
        'dependency' => array('enable_button_override', '==', TRUE),
      ),

      array(
        'id'               => 'button_cta_bg_color',
        'type'             => 'color',
        'output_important' => true,
        'title'            => esc_html__('Cta Button Background Color', 'aggen'),
        'output'           => '.page .qs-btn-box .main-btn',
        'output_mode'      => 'background-color',
        'dependency' => array('enable_button_override', '==', TRUE),
      ),

      array(
        'id'     => 'button_cta_border',
        'type'   => 'border',
        'title'  => esc_html__('Cta Button Border', 'aggen'),
        'output' => 'body .qs-btn-box .main-btn',
        'dependency' => array('enable_button_override', '==', TRUE),
      ),

      array(
        'id'      => 'logo',
        'type'    => 'upload',
        'title'   => esc_html__('Upload Main Logo', 'aggen'),
        'desc'    => esc_html__('Upload main logo width 180px and height 65px.', 'aggen'),
        'default' => '',
        'help'    => esc_html__('Note: Please use logo image max width: 250px and max height 100px.', 'aggen'),
      ),

      array(
        'id'      => 'sticky_logo',
        'type'    => 'upload',
        'title'   => esc_html__('Upload Sticky Logo', 'aggen'),
        'desc'    => esc_html__('Upload sticky logo width 180px and height 65px.', 'aggen'),
        'default' => '',
        'help'    => esc_html__('Note: Please use logo image max width: 250px and max height 100px.', 'aggen'),
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Menu Box', 'aggen'),
      ),

      array(
        'id'          => 'menu_header_padding',
        'type'        => 'spacing',
        'title'   => esc_html__('Post Padding', 'aggen'),
        'output'      => '.page .qs-header-area',
        'output_mode' => 'padding', // or margin, relative
        'default'     => array(
          'unit'      => 'px',
        ),
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Menu Background', 'aggen'),
      ),

      array(
        'id'      => 'menu_bg',
        'type'    => 'background',
        'title'   => esc_html__('Menu Background', 'aggen'),
        'desc'    => esc_html__('Set the menu background form here.', 'aggen'),
        'default' => array(
          'image'      => '',
          'repeat'     => 'repeat',
          'position'   => 'center center',
          'attachment' => 'scroll',
          'size'       => '',
          'color'      => '',
        ),
        'output_important' => true,
        'output' => '.page header'
      ),

      array(
        'id'      => 'sticky_bg',
        'type'    => 'background',
        'title'   => esc_html__('Menu Sticky Background', 'aggen'),
        'desc'    => esc_html__('Set the menu sticky background form here.', 'aggen'),
        'default' => array(
          'image'      => '',
          'repeat'     => 'repeat',
          'position'   => 'center center',
          'attachment' => 'scroll',
          'size'       => '',
          'color'      => '',
        ),
        'output_important' => true,
        'output'      => '.page .qs-header-area.sticky',
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Menu Color', 'aggen'),
      ),

      array(
        'id'      => 'menu_color',
        'type'    => 'color',
        'title'   => esc_html__('Menu Color', 'aggen'),
        'desc'    => esc_html__('Set the menu color by color picker', 'aggen'),
        'default' => '',
        'output'  => '.page .qs-header-main-menu ul > li > a',


      ),

      array(
        'id'      => 'menu_hover',
        'type'    => 'color',
        'title'   => esc_html__('Menu Hover Color', 'aggen'),
        'desc'    => esc_html__('Set the menu hover color by color picker', 'aggen'),
        'default' => '',

        'output'  => '.page .qs-header-main-menu ul > li:hover > a',

      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Menu Sticky Color', 'aggen'),
      ),

      array(
        'id'      => 'menu_sticky__color',
        'type'    => 'color',
        'title'   => esc_html__('Menu Sticky Color', 'aggen'),
        'desc'    => esc_html__('Set the menu sticky color by color picker', 'aggen'),
        'default' => '',
        'output'  => '.page .sticky .qs-header-main-menu ul > li > a',

      ),

      array(
        'id'      => 'menu_sticky_hover_color',
        'type'    => 'color',
        'title'   => esc_html__('Menu Sticky Hover Color', 'aggen'),
        'desc'    => esc_html__('Set the menu sticky color by color picker', 'aggen'),
        'default' => '',
        'output'  => '.page .sticky .qs-header-main-menu ul > li:hover > a',

      ),

    )
  ));



  // newslatter
  CSF::createSection($post_prefix, array(
    'title'  => esc_html__('Footer', 'aggen'),
    'fields' => array(

      array(
        'id'      => 'newslatter_enable',
        'type'    => 'switcher',
        'title'   => esc_html__('Enable Newslatter', 'aggen'),
        'desc'    => esc_html__('If you want to override Newslatter Settings  you can set ( YES / NO )', 'aggen'),
        'default' => true,
      ),


      array(
        'id'      => 'override_footer',
        'type'    => 'switcher',
        'title'   => esc_html__('Override Footer style', 'aggen'),
        'desc'    => esc_html__('If you want to override Footer  Settings  you can set ( YES / NO )', 'aggen'),
        'default' => false,
      ),



      array(
        'id'      => 'footer_copyright__bg',
        'type'    => 'background',
        'title'   => esc_html__('Footer Background ', 'aggen'),
        'desc'    => esc_html__('Upload a new background image to set the footer background.', 'aggen'),
        'default' => array(
          'image'      => '',
          'repeat'     => 'no-repeat',
          'position'   => 'center center',
          'attachment' => 'scroll',
          'size'       => 'cover',
          'color'      => '',
        ),
        'output' => '.page .footer-area',

      ),

      array(
        'id'          => 'footer_sidebars_padding',
        'type'        => 'spacing',
        'title'   => esc_html__('Footer Padding', 'aggen'),
        'output'      => '.page .footer-area',
        'output_mode' => 'padding', // or margin, relative
        'default'     => array(
          'unit'      => 'px',
        ),
      ),

      array(
        'id'          => 'footer_sidebars_margin',
        'type'        => 'spacing',
        'title'   => esc_html__('Footer Margin', 'aggen'),
        'output'      => '.page .footer-area',
        'output_mode' => 'margin', // or margin, relative
        'default'     => array(
          'unit'      => 'px',
        ),
      ),

      array(
        'id'        => 'footer_topbar_layout',
        'type'      => 'image_select',
        'title'   => esc_html__('Footer Topbar Layout', 'aggen'),
        'options'   => array(

          'layout-1' => AGGEN_IMG . '/admin/footer/topbar.png',
          'layout-2' => AGGEN_IMG . '/admin/footer/topbar-mailchimp.png',


        ),
        'default'   => 'layout-1'
      ),

      array(
        'id'    => 'topbar_2_background_image',
        'type'  => 'background',
        'title' => esc_html__('Topbar Background', 'aggen'),
        'output' => '.page .footer-area .cta-wrapper,.page .footer-area .cta-mailchimp'
      ),

      array(
        'id'      => 'footer_topbar_title_color',
        'type'    => 'color',
        'title'   => esc_html__('Heading Color', 'aggen'),
        'desc'    => esc_html__('Set footer Top bar title color form here.', 'aggen'),
        'output' => '.page .footer-area .cta-wrapper h3, .page .footer-area .cta-mailchimp h3'
      ),

      array(
        'id'      => 'footer_topbar_button_color',
        'type'    => 'color',
        'title'   => esc_html__('Button Color', 'aggen'),
        'desc'    => esc_html__('Set footer Top bar content color form here.', 'aggen'),
        'output' => '.page .footer-area .cta-wrapper .btn',
        'dependency' => array('footer_topbar_layout', '==', 'layout-1'),
      ),


    )
  ));
  /*-----------------------------------
          CUSTOM CSS SECTION
      ------------------------------------*/
  CSF::createSection(
    $post_prefix,
    array(
      'title'  => esc_html__('Custom CSS', 'aggen'),
      'parent' => 'Page_Meta_Tab',
      'fields' => array(
        array(
          'type'    => 'subheading',
          'content' => esc_html__('Page Custom Css', 'aggen'),
        ),
        array(
          'id'       => 'page_cs_css',
          'type'     => 'code_editor',
          'desc'     => esc_html__('Write custom css here with css selector. this css will be applied in this page.', 'aggen'),
          'settings' => array(
            'mode'        => 'css',
            'theme'       => 'dracula',
            'tabSize'     => 4,
            'smartIndent' => true,
            'autocorrect' => true,
          ),
        ),
      )
    )
  );
}
