<?php
// Blog
// footer a top-tab
CSF::createSection(aggen_option_KEY, array(
    'id'    => 'banner_tab', // Set a unique slug-like ID
    'title'  => esc_html__('Banner', 'aggen'),
    'icon'     => 'fa fa-cog',
));
CSF::createSection(aggen_option_KEY, array(
    'parent' => 'banner_tab', // The slug id of the parent section
    'icon'   => 'fa fa-book',
    'title'  => esc_html__('Content Settings', 'aggen'),
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Blog Banner', 'aggen'),
        ),

        array(
            'id'      => 'blog_banner_show',
            'type'    => 'switcher',
            'title'   => esc_html__('Blog Banner Show', 'aggen'),
            'default' => true
        ),


        array(
            'id'      => 'blog_show_breadcrumb',
            'type'    => 'switcher',
            'title'   => esc_html__('Blog Breadcrumb', 'aggen'),
            'default' => true
        ),

        array(
            'id'      => 'banner_blog_title',
            'type'    => 'text',
            'title'   => esc_html__('Blog title', 'aggen'),

        ),

        array(

            'id'      => 'banner_blog_image',
            'type'    => 'background',
            'title'   => esc_html__('Upload Background', 'aggen'),
            'desc'    => esc_html__('Upload main Image width 1200px and height 400px.', 'aggen'),
            'output' => '.qs-page-title-area'
        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Blog Post / Details', 'aggen'),
        ),

        array(
            'id'      => 'blog_single_banner_show',
            'type'    => 'switcher',
            'title'   => esc_html__('Banner Show', 'aggen'),
            'default' => true
        ),


        array(
            'id'      => 'blog_single_show_breadcrumb',
            'type'    => 'switcher',
            'title'   => esc_html__('Post Breadcrumb', 'aggen'),
            'default' => true
        ),

        array(

            'id'      => 'banner_single_blog_image',
            'type'    => 'background',
            'title'   => esc_html__('Upload Background', 'aggen'),
            'desc'    => esc_html__('Upload main Image width 1200px and height 400px.', 'aggen'),
            'output' => '.single-post .qs-page-title-area'
        ),



        array(
            'type'    => 'subheading',
            'content' => esc_html__('Page Banner', 'aggen'),
        ),

        array(

            'id'      => 'page_banner_show',
            'type'    => 'switcher',
            'title'   => esc_html__('Page Banner Show ', 'aggen'),
            'default' => true
        ),

        array(
            'id'      => 'page_show_breadcrumb',
            'type'    => 'switcher',
            'title'   => esc_html__('Page Breadcrumb', 'aggen'),
            'default' => true
        ),

        array(

            'id'      => 'banner_page_title',
            'type'    => 'text',
            'title'   => esc_html__('Page Title', 'aggen'),
            'default' => ''
        ),

        array(

            'id'      => 'banner_page_image',
            'type'    => 'background',
            'title'   => esc_html__('Upload Background', 'aggen'),
            'desc'    => esc_html__('Upload main Image width 1200px and height 400px.', 'aggen'),
            'output' => '.page .qs-page-title-area'
        ),



    )
));
CSF::createSection(aggen_option_KEY, array(
    'parent' => 'banner_tab', // The slug id of the parent section
    'icon'   => 'fa fa-book',
    'title'  => esc_html__('Style', 'aggen'),
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Blog Banner', 'aggen'),
        ),

        array(
            'id'    => 'banner_blog_title_color',
            'type'  => 'color',
            'title' => esc_html__('Title Color', 'aggen'),
            'output' => '.qs-page-title-item .title, .qs-page-title-item span'
        ),

        array(
            'id'     => 'banner_blog_breadcrumb_color',
            'type'   => 'color',
            'title'  => esc_html__('Breadcrumb Color', 'aggen'),
            'output' => '.qs-page-title-item nav ol li, .qs-page-title-item nav ol li a',
            'output_important' => true
        ),

        array(
            'id'     => 'banner_blog_breadcrumb_icon_color',
            'type'   => 'color',
            'title'  => esc_html__('Breadcrumb Icon Color', 'aggen'),
            'output' => '.qs-page-title-item nav ol li i',
            'output_important' => true
        ),


        array(
            'type'    => 'subheading',
            'content' => esc_html__('Blog Post', 'aggen'),
        ),

        array(
            'id'    => 'banner_post_title_color',
            'type'  => 'color',
            'title' => esc_html__('Title Color', 'aggen'),
            'output' => '.single-post .qs-page-title-item .title, .single-post .qs-page-title-item span'
        ),

        array(
            'id'     => 'banner_post_meta__color',
            'type'   => 'color',
            'title'  => esc_html__('Meta Color', 'aggen'),
            'output' => '.single .qs-page-title-area .bp-meta a'
        ),

        array(
            'id'     => 'banner_post_meta_icon_color',
            'type'   => 'color',
            'title'  => esc_html__('Meta Color Icon', 'aggen'),
            'output' => '.single .qs-page-title-area .bp-meta a i'
        ),

        array(
            'id'     => 'banner_post_breadcrumb_color',
            'type'   => 'color',
            'title'  => esc_html__('Breadcrumb ', 'aggen'),
            'output' => '.single .qs-page-title-item nav ol li a,.single .qs-page-title-item nav ol li'
        ),

        array(
            'id'    => 'banner_post_breadcrumb_hover_color',
            'type'  => 'color',
            'title' => esc_html__('Breadcrumb Hover', 'aggen'),
            'output' => '.single .qs-page-title-item nav ol li:hover a'
        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Page Banner', 'aggen'),
        ),

        array(
            'id'     => 'banner_page_title_color',
            'type'   => 'color',
            'title'  => esc_html__('Page Title Color', 'aggen'),
            'output' => '.page .qs-page-title-item .title'
        ),

        array(
            'id'     => 'banner_page_breadcrumb_color',
            'type'   => 'color',
            'title'  => esc_html__('Page Breadcrumb Color', 'aggen'),
            'output' => '.page .qs-page-title-item nav ol li, .page .qs-page-title-item nav ol li a',
            'output_important' => true
        ),

        array(
            'id'               => 'banner_page_breadcrumb_hover_color',
            'type'             => 'color',
            'title'            => esc_html__('Breadcrumb Hover Color', 'aggen'),
            'output'           => '.page .qs-page-title-item nav ol li:hover a',
            'output_important' => true
        ),


    )
));
