<?php

// header a top-tab
CSF::createSection(aggen_option_KEY, array(
    'id'    => 'header_tab', // Set a unique slug-like ID
    'title'   => esc_html__('Header', 'aggen'),
    'icon'     => 'fa fa-home',
));


// Header
CSF::createSection(aggen_option_KEY, array(
    'parent' => 'header_tab', // The slug id of the parent section
    'title'   => esc_html__('Header', 'aggen'),
    'icon'   => 'fa fa-credit-card',
    'fields' => array(


        array(
            'id'      => 'header_style',
            'type'    => 'image_select',
            'title'   => esc_html__('Header Style', 'aggen'),
            'desc'    => esc_html__('Select the header style which you want to show on your website.', 'aggen'),
            'options' => array(
                'style1' => AGGEN_IMG . '/dash/header_1.jpg',
            ),
            'default' => 'style1',
        ),

        array(
            'id'      => 'enable_sticky_header',
            'type'    => 'switcher',
            'title'   => esc_html__('Sticky Header', 'aggen'),
            'desc'    => esc_html__('If you want to enable or disable sticky Header you can set ( YES / NO )', 'aggen'),
            'default' => false,

        ),




        array(
            'id'      => 'enable_transparent_header',
            'type'    => 'switcher',
            'title'   => esc_html__('Transparent Header Disable', 'aggen'),
            'desc'    => esc_html__('If you want to enable or disable Transparent Header you can set ( YES / NO )', 'aggen'),
            'default' => false,

        ),

        //cta
        array(
            'id'      => 'enable_cta',
            'type'    => 'switcher',
            'title'   => esc_html__('Enable CTA', 'aggen'),
            'desc'    => esc_html__('If you want to enable or disable button you can set ( YES / NO )', 'aggen'),
            'default' => false,
        ),

        array(
            'id'         => 'cta_text',
            'type'       => 'text',
            'title'      => esc_html__('Cta lebel', 'aggen'),
            'desc'       => esc_html__('Set the Button text.', 'aggen'),
            'default'    => esc_html__('Buy Now', 'aggen'),
            'dependency' => array('header_style', '==', 'style1'),
        ),


        array(
            'id'         => 'cta_link',
            'type'       => 'text',
            'title'      => esc_html__('Cta url', 'aggen'),
            'desc'       => esc_html__('Set the support url.', 'aggen'),
            'default'    => '#',
            'dependency' => array('enable_cta', '==', 'true'),
        ),

        array(
            'id'      => 'enable_user_account',
            'type'    => 'switcher',
            'title'   => esc_html__('Enable User Account', 'aggen'),
            'desc'    => esc_html__('If you want to enable or disable user account you can set ( YES / NO )', 'aggen'),
            'default' => false,
        ),


        array(
            'id'         => 'user_account_text',
            'type'       => 'text',
            'title'      => esc_html__('User Account Text', 'aggen'),
            'desc'       => esc_html__('Set the user account text.', 'aggen'),
            'default'    => esc_html__('Login', 'aggen'),
            'dependency' => array('enable_user_account', '==', true),
        ),

        array(
            'id'         => 'user_account_link',
            'type'       => 'text',
            'title'      => esc_html__('User Account Url', 'aggen'),
            'desc'       => esc_html__('Set the user account url.', 'aggen'),
            'default'    => '#',
            'dependency' => array('enable_user_account', '==', true),
        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Button Styling', 'aggen'),
        ),

        array(
            'id'     => 'button_one_text_color',
            'type'   => 'color',
            'title'  => esc_html__('Login Button Color', 'aggen'),
            'output' => 'body .qs-btn-box .login-btn',
            'output_important' => true,
        ),

        array(
            'id'     => 'button_one_icon_text_color',
            'type'   => 'color',
            'title'  => esc_html__('Login Icon Color', 'aggen'),
            'output' => 'body .qs-btn-box .login-btn i',
            'output_important' => true,
        ),

        array(
            'id'               => 'button_one_bg_color',
            'type'             => 'color',
            'output_important' => true,
            'title'            => esc_html__('Login Button Background Color', 'aggen'),
            'output'           => 'body .qs-btn-box .login-btn',
            'output_mode'      => 'background-color'
        ),



        array(
            'id'     => 'button_one_border',
            'type'   => 'border',
            'title'  => esc_html__('Login Button Border', 'aggen'),
            'output' => 'body .qs-btn-box .login-btn'
        ),

        // 

        array(
            'id'     => 'button_cta_text_color',
            'type'   => 'color',
            'title'  => esc_html__('Cta Button Color', 'aggen'),
            'output' => 'body .qs-btn-box .main-btn',
            'output_important' => true,
        ),

        array(
            'id'               => 'button_cta_bg_color',
            'type'             => 'color',
            'output_important' => true,
            'title'            => esc_html__('Cta Button Background Color', 'aggen'),
            'output'           => 'body .qs-btn-box .main-btn',
            'output_mode'      => 'background-color'
        ),

        array(
            'id'     => 'button_cta_border',
            'type'   => 'border',
            'title'  => esc_html__('Cta Button Border', 'aggen'),
            'output' => 'body .qs-btn-box .main-btn'
        ),


    )
));

// Main menu
CSF::createSection(aggen_option_KEY, array(
    'parent' => 'header_tab', // The slug id of the parent section
    'title'      => esc_html__('Main Menu', 'aggen'),
    'icon'   => 'fa fa-sitemap',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Menu Box', 'aggen'),
        ),

        array(
            'id'          => 'menu_header_padding',
            'type'        => 'spacing',
            'title'   => esc_html__('Post Padding', 'aggen'),
            'output'      => 'body .qs-header-area',
            'output_mode' => 'padding', // or margin, relative
            'default'     => array(
                'unit'      => 'px',
            ),
        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Menu Background', 'aggen'),
        ),

        array(
            'id'      => 'menu_bg',
            'type'    => 'background',
            'title'   => esc_html__('Menu Background', 'aggen'),
            'desc'    => esc_html__('Set the menu background form here.', 'aggen'),
            'default' => array(
                'image'      => '',
                'repeat'     => 'repeat',
                'position'   => 'center center',
                'attachment' => 'scroll',
                'size'       => '',
                'color'      => '',
            ),
            'output_important' => true,
            'output' => 'header'
        ),

        array(
            'id'      => 'sticky_bg',
            'type'    => 'background',
            'title'   => esc_html__('Menu Sticky Background', 'aggen'),
            'desc'    => esc_html__('Set the menu sticky background form here.', 'aggen'),
            'default' => array(
                'image'      => '',
                'repeat'     => 'repeat',
                'position'   => 'center center',
                'attachment' => 'scroll',
                'size'       => '',
                'color'      => '',
            ),
            'output_important' => true,
            'output'      => 'body .qs-header-area.sticky',
        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Menu Color', 'aggen'),
        ),

        array(
            'id'      => 'menu_color',
            'type'    => 'color',
            'title'   => esc_html__('Menu Color', 'aggen'),
            'desc'    => esc_html__('Set the menu color by color picker', 'aggen'),
            'default' => '',
            'output'  => 'body .qs-header-main-menu ul > li > a',


        ),

        array(
            'id'      => 'menu_hover',
            'type'    => 'color',
            'title'   => esc_html__('Menu Hover Color', 'aggen'),
            'desc'    => esc_html__('Set the menu hover color by color picker', 'aggen'),
            'default' => '',

            'output'  => 'body .qs-header-main-menu ul > li:hover > a',

        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Menu Sticky Color', 'aggen'),
        ),

        array(
            'id'      => 'menu_sticky__color',
            'type'    => 'color',
            'title'   => esc_html__('Menu Sticky Color', 'aggen'),
            'desc'    => esc_html__('Set the menu sticky color by color picker', 'aggen'),
            'default' => '',
            'output'  => '.sticky .qs-header-main-menu ul > li > a',

        ),

        array(
            'id'      => 'menu_sticky_hover_color',
            'type'    => 'color',
            'title'   => esc_html__('Menu Sticky Hover Color', 'aggen'),
            'desc'    => esc_html__('Set the menu sticky color by color picker', 'aggen'),
            'default' => '',
            'output'  => '.sticky .qs-header-main-menu ul > li:hover > a',

        ),

    )
));

//
// Mobile menu
CSF::createSection(aggen_option_KEY, array(
    'parent' => 'header_tab', // The slug id of the parent section
    'title'  => 'Offcanvas',
    'icon'   => 'fa fa-mobile',
    'fields' => array(

        array(
            'id'           => 'offcanvas_footer_content',
            'type'         => 'group',
            'title'        => esc_html__('Footer Content', 'aggen'),
            'button_title' => esc_html__('Add New Item', 'aggen'),

            'desc'         => esc_html__('Set the footer content. Esay to use it just click the add icon button and search your social icon and set the url for the profile .', 'aggen'),
            'fields'       => array(

                array(
                    'id'      => 'icon',
                    'type'    => 'icon',
                    'title'   => esc_html__('Icon', 'aggen'),
                    'desc'    => esc_html__('Set the  profile icon like ( location email phone ect. )', 'aggen'),
                    'default' => 'fal fa-envelope'
                ),

                array(
                    'id'          => 'link_type',
                    'type'        => 'select',
                    'title'       => 'Select',
                    'placeholder' => 'Link Type',
                    'options'     => array(
                        'phone' => 'Phone',
                        'email' => 'Email',
                        'url'   => 'Url',
                        ''      => 'Unknown',
                    ),
                    'default'     => 'url'
                ),

                array(
                    'id'      => 'link',
                    'type'    => 'text',
                    'title'   => esc_html__('Link ?', 'aggen'),
                ),

                array(
                    'id'      => 'content',
                    'type'    => 'textarea',
                    'title'   => esc_html__('Content', 'aggen'),

                ),

            ),
        ),

        array(
            'id'      => 'mobile_menu_color',
            'type'    => 'color',
            'title'   => esc_html__('Menu Color', 'aggen'),
            'desc'    => esc_html__('Set the menu color by color picker', 'aggen'),
            'output' => '.offcanvas_main_menu li a'

        ),
        array(
            'id'      => 'mobile_menu_hover',
            'type'    => 'color',
            'title'   => esc_html__('Menu Hover Color', 'aggen'),
            'desc'    => esc_html__('Set the menu item active &hover color by color picker', 'aggen'),
            'output' => '.offcanvas_main_menu li:hover > a'


        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Mobile Menu Hamberger Color & Background', 'aggen'),
        ),

        array(
            'id'      => 'mobile_menu_hamberger_bgcolor',
            'type'    => 'color',
            'title'   => esc_html__('Menu Hambarger Background', 'aggen'),
            'desc'    => esc_html__('Set the menu hamberger background color by color picker', 'aggen'),
            'output' => '.qs-btn-box .toggle-btn i',
            'output_mode' => 'background-color'


        ),

        array(
            'id'      => 'mobile_menu_hamberger_color',
            'type'    => 'color',
            'title'   => esc_html__('Menu Hambarger Color', 'aggen'),
            'desc'    => esc_html__('Set the menu hamberger color by color picker', 'aggen'),
            'output' => '.qs-btn-box .toggle-btn i',
        ),

        array(
            'id'      => 'mobile_sticky_menu_hamberger_color',
            'type'    => 'color',
            'title'   => esc_html__('Sticky Menu Hambarger Color', 'aggen'),
            'desc'    => esc_html__('Set the menu hamberger color by color picker', 'aggen'),
            'output' => '.sticky .qs-btn-box .toggle-btn i',
        ),


    )
));


// Logo section
CSF::createSection(aggen_option_KEY, array(
    'parent' => 'header_tab', // The slug id of the parent section
    'title'  => 'Logos',
    'icon'   => 'fa fa-file-image-o',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Main Image Logo', 'aggen'),
        ),

        array(
            'id'      => 'logo',
            'type'    => 'upload',
            'title'   => esc_html__('Upload Main Logo', 'aggen'),
            'desc'    => esc_html__('Upload main logo width 180px and height 65px.', 'aggen'),
            'default' => '',
            'help'    => esc_html__('Note: Please use logo image max width: 250px and max height 100px.', 'aggen'),
        ),

        array(
            'id'      => 'sticky_logo',
            'type'    => 'upload',
            'title'   => esc_html__('Upload Sticky Logo', 'aggen'),
            'desc'    => esc_html__('Upload sticky logo width 180px and height 65px.', 'aggen'),
            'default' => '',
            'help'    => esc_html__('Note: Please use logo image max width: 250px and max height 100px.', 'aggen'),
        ),

        array(
            'id'      => 'offcanvas_logo',
            'type'    => 'upload',
            'title'   => esc_html__('Upload offcanvas Logo', 'aggen'),
            'desc'    => esc_html__('Upload sticky offcanvas width 180px and height 65px.', 'aggen'),
            'default' => '',
            'help'    => esc_html__('Note: Please use offcanvas image max width: 250px and max height 100px.', 'aggen'),
        ),

        array(
            'id'      => 'enable_toggle_mobile',
            'type'    => 'switcher',
            'title'   => esc_html__('offcansvas logo as mobile', 'aggen'),
            'desc'    => esc_html__('It will convert your offcanvas logo as moile logo', 'aggen'),
            'default' => false,
        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Text Logo Color', 'aggen'),
        ),

        array(
            'id'      => 'logo_color',
            'type'    => 'color',
            'title'   => esc_html__('Text Logo Color', 'aggen'),
            'desc'    => esc_html__('Set the text logo color by color picker.', 'aggen'),
            'output' => '.qs-logo-box a',
            'output_important' => true,
        ),

    )
));
