<?php

// social
CSF::createSection(aggen_option_KEY, array(
    'title'  => esc_html__('Social', 'aggen'),
    'icon'   => 'fa fa-share-alt',
    'fields' => array(
        array(
            'id'      => 'enable_blog_social',
            'type'    => 'switcher',
            'title'   => esc_html__('Enable Blog Social Share', 'aggen'),
            'desc'    => esc_html__('Set the Blog social share hide or not.', 'aggen'),
            'default' => false,
        ),

        array(
            'id'           => 'social_share',
            'type'         => 'group',
            'title'        => esc_html__('Add Social Bookmark', 'aggen'),
            'button_title' => esc_html__('Add New Bookmark', 'aggen'),
            'desc'         => esc_html__('Set the social bookmark icon and link here. Esay to use it just click the add icon button and search your social icon and set the url for the profile .', 'aggen'),
            'fields'       => array(

                array(
                    'id'      => 'bookmark_icon',
                    'type'    => 'icon',
                    'title'   => esc_html__('Social Icon', 'aggen'),
                    'desc'    => esc_html__('Set the social profile icon like ( facebook, twitter, linkedin, youtube ect. )', 'aggen'),
                    'default' => 'fa fa-facebook'
                ),


                array(
                    'id'          => 'social_type',
                    'type'        => 'select',
                    'title'       => 'Select',
                    'placeholder' => esc_html__('Select an type', 'aggen'),
                    'options'     => aggen_social_share_list(),

                ),
            ),
        ),

        array(
            'id'      => 'enable_blog_social_link',
            'type'    => 'switcher',
            'title'   => esc_html__('Offcanvas Social Link', 'aggen'),
            'desc'    => esc_html__('Set the Blog social Link hide or not.', 'aggen'),
            'default' => false,
        ),

        array(
            'id'           => 'social_link',
            'type'         => 'group',
            'title'        => esc_html__('Add Social Link', 'aggen'),
            'button_title' => esc_html__('Add New Bookmark', 'aggen'),
            'dependency' => array('enable_blog_social_link', '==', true),
            'desc'         => esc_html__('Set the social bookmark icon and link here. Esay to use it just click the add icon button and search your social icon and set the url for the profile .', 'aggen'),
            'fields'       => array(

                array(
                    'id'      => 'bookmark_icon',
                    'type'    => 'icon',
                    'title'   => esc_html__('Social Icon', 'aggen'),
                    'desc'    => esc_html__('Set the social profile icon like ( facebook, twitter, linkedin, youtube ect. )', 'aggen'),
                    'default' => 'fa fa-facebook'
                ),

                array(
                    'id'      => 'bookmark_url',
                    'type'    => 'text',
                    'title'   => esc_html__('Profile Url', 'aggen'),
                    'desc'    => esc_html__('Type the social profile url lik http://facebook.com/yourpage. also you can add (facebook, twitter, linkedin, youtube etc.)', 'aggen'),
                    'default' => 'http://facebook.com/quomodosoft'
                ),

            ),
        ),

    ),

));
