<?php

namespace Aggen\Setup;

/**
 * Enqueue.
 */
class Enqueue
{
	/**
	 * register default hooks and actions for WordPress
	 * @return
	 */
	public function register()
	{
		add_action('wp_enqueue_scripts', array($this, 'enqueue_scripts'));
	}

	public function enqueue_scripts()
	{

		// stylesheets
		// ::::::::::::::::::::::::::::::::::::::::::
		if (!is_admin()) {
			// wp_enqueue_style() $handle, $src, $deps, $version

			// 3rd party css
			wp_enqueue_style('aggen-fonts', aggen_google_fonts_url(['DM Sans:300,400,500,600,700']), null, AGGEN_VERSION);
			wp_enqueue_style('fontawesome', AGGEN_CSS . '/font-awesome.min.css', null, AGGEN_VERSION);
			wp_enqueue_style('bootstrap', AGGEN_CSS . '/bootstrap.min.css', null, AGGEN_VERSION);
			wp_enqueue_style('animate', AGGEN_CSS . '/animate.min.css', null, AGGEN_VERSION);
			wp_enqueue_style('slick', AGGEN_CSS . '/slick.min.css', null, AGGEN_VERSION);
			wp_enqueue_style('magnific-popup', AGGEN_CSS . '/magnific-popup.css', null, AGGEN_VERSION);
			// theme css
			// wp_enqueue_style( 'aggen-custom-animate', AGGEN_CSS . '/custom-animation.min.css', null, AGGEN_VERSION );
			wp_enqueue_style('aggen-default', AGGEN_CSS . '/default.min.css', null, time());
			wp_enqueue_style('aggen-style', AGGEN_CSS . '/style' . AGGEN_SCRIPT_VAR . 'css', null, time());
			wp_enqueue_style('aggen-blog', AGGEN_CSS . '/blog' . AGGEN_SCRIPT_VAR . 'css', null, time());
		}

		// javascripts
		// :::::::::::::::::::::::::::::::::::::::::::::::
		if (!is_admin()) {

			// 3rd party scripts
			wp_enqueue_script('popper', AGGEN_JS . '/popper.min.js', array('jquery'), AGGEN_VERSION, true);
			wp_enqueue_script('bootstrap', AGGEN_JS . '/bootstrap.min.js', array('jquery', 'popper'), AGGEN_VERSION, true);
			wp_enqueue_script('slick', AGGEN_JS . '/slick.min.js', array('jquery'), AGGEN_VERSION, true);
			wp_enqueue_script('magnific-popup', AGGEN_JS . '/jquery.magnific-popup.min.js', array('jquery'), AGGEN_VERSION, true);
			wp_enqueue_script('goodshare', AGGEN_JS . '/goodshare.min.js', array('jquery'), AGGEN_VERSION, true);
			wp_enqueue_script('wow', AGGEN_JS . '/wow.js', array('jquery'), AGGEN_VERSION, true);

			// theme scripts

			wp_enqueue_script('aggen-main', AGGEN_JS . '/main' . AGGEN_SCRIPT_VAR . 'js', array('jquery', 'bootstrap', 'magnific-popup', 'wow', 'slick'), time(), true);
			// Load WordPress Comment js
			if (is_singular() && comments_open() && get_option('thread_comments')) {
				wp_enqueue_script('comment-reply');
			}
		}
	}
}
