<?php
/*----------------------------------------------------
LOAD COMPOSER PSR - 4
-----------------------------------------------------*/
if (file_exists(dirname(__FILE__) . '/vendor/autoload.php')) :
    require_once dirname(__FILE__) . '/vendor/autoload.php';
endif;

/*----------------------------------------------------
SHORTHAND CONTANTS FOR THEME VERSION
-----------------------------------------------------*/
define('AGGEN_DEV_MODE', false);
if (AGGEN_DEV_MODE) {
    define('AGGEN_VERSION', time());
    define('AGGEN_SCRIPT_VAR', '.');
} else {
    define('AGGEN_VERSION', '1.0');
    define('AGGEN_SCRIPT_VAR', '.min.');
}


/*----------------------------------------------------
SHORTHAND CONTANTS FOR THEME ASSETS URL
-----------------------------------------------------*/
define('AGGEN_THEME_URI', get_template_directory_uri());
define('AGGEN_IMG', AGGEN_THEME_URI . '/assets/images');
define('AGGEN_CSS', AGGEN_THEME_URI . '/assets/css');
define('AGGEN_JS', AGGEN_THEME_URI . '/assets/js');

/*----------------------------------------------------
SHORTHAND CONTANTS FOR THEME ASSETS DIRECTORY PATH
-----------------------------------------------------*/
define('AGGEN_THEME_DIR', get_template_directory());
define('AGGEN_IMG_DIR', AGGEN_THEME_DIR . '/assets/images');
define('AGGEN_CSS_DIR', AGGEN_THEME_DIR . '/assets/css');
define('AGGEN_JS_DIR', AGGEN_THEME_DIR . '/assets/js');

// option prefix
define('aggen_option_KEY', 'aggen_settings');
/*----------------------------------------------------
SET UP THE CONTENT WIDTH VALUE BASED ON THE THEME'S DESIGN
-----------------------------------------------------*/

// hooks for unyson framework
// ----------------------------------------------------------------------------------------
function aggen_framework_customizations_dir_rel_path($rel_path)
{

    return '/app/Core/Hook';
}
add_filter('fw_framework_customizations_dir_rel_path', 'aggen_framework_customizations_dir_rel_path');

if (!isset($content_width)) {
    $content_width = 800;
}
if (class_exists('Aggen\\Init')) :
    Aggen\Init::register_services();
endif;

/*----------------------------------------------------
UTILITY
-----------------------------------------------------*/
require_once AGGEN_THEME_DIR . '/app/Utility/global.php';
require_once AGGEN_THEME_DIR . '/app/Utility/Helpers.php';
require_once AGGEN_THEME_DIR . '/app/Utility/template-tags.php';

/*----------------------------------------------------
option init
-----------------------------------------------------*/
require_once AGGEN_THEME_DIR . '/app/Option/Init.php';
require_once AGGEN_THEME_DIR . '/woocommerce/woo-setup.php';
